%global modname docutils
%global flashfilename biohazard.swf
%global flashfilepath docs/user/rst/images/

Name:           python-%{modname}
Version:        0.17.1
Release:        2
Summary:        Documentation Utilities Written in Python, for General- and Special-Purpose Use
License:        Public Domain and BSD and Python and GPLv3+
URL:            http://docutils.sourceforge.net
Source0:        http://downloads.sourceforge.net/docutils/docutils-0.17.1.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description \
Docutils is an open-source text processing system for processing plaintext\
documentation into useful formats, such as HTML, LaTeX, man-pages,\
open-document or XML. It includes reStructuredText, the easy to read, easy\
to use, what-you-see-is-what-you-get plaintext markup language.

%description
%{_description}

%package -n python3-%{modname}
Summary:        %{summary} for python3
Provides:       python%{python3_pkgversion}dist(docutils) = %{version}
Provides:       python%{python3_version}dist(docutils) = %{version}
Requires:       python3-lxml
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
%{_description}

This package run under python3.


%package_help


%prep
%autosetup -n %{modname}-%{version} -p1

# Remove shebang from library files
for file in {code_analyzer,punctuation_chars,error_reporting,smartquotes,math/latex2mathml,math/math2html}; do
sed -i -e '/#! *\/usr\/bin\/.*/{1D}' docutils/utils/$file.py
done
sed -i -e '/#! *\/usr\/bin\/.*/{1D}' docutils/writers/xetex/__init__.py

iconv -f ISO88592 -t UTF8 tools/editors/emacs/IDEAS.rst > tmp
mv tmp tools/editors/emacs/IDEAS.rst

rm -rf %{py3dir}
cp -a . %{py3dir}

pushd  %{py3dir}
rm -rf test/test_writers/test_odt.py
popd

%build
pushd %{py3dir}
%py3_build
popd

%install
rm -rf %{buildroot}%{python3_sitelib}/test
mv %{flashfilepath}%{flashfilename} ./%{flashfilename}

rm -f %{buildroot}/%{_bindir}/*
pushd %{py3dir}
%py3_install
mv %{flashfilepath}%{flashfilename} ./%{flashfilename}
popd

for file in %{buildroot}/%{_bindir}/*.py; do
    mv $file `dirname $file`/`basename $file .py`
done


%check
pushd %{py3dir}
mv  %{flashfilename} %{flashfilepath}%{flashfilename}
python3 test/alltests.py
rm %{flashfilepath}%{flashfilename}
popd


%files -n python3-%{modname}
%license COPYING.txt licenses/*.txt
%{python3_sitelib}/*
%{_bindir}/*

%files help
%doc BUGS.txt FAQ.txt HISTORY.txt README.txt RELEASE-NOTES.txt 
%doc THANKS.txt docs tools/editors

%changelog
* Tue Oct 25 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.17.1-2
- Rebuild for next release

* Wed Jan 12 2022 tianwei <tianwei12@huawei.com> - 0.17.1-1
- downgrade version to 0.17.1

* Thu Dec 30 2021 tianwei <tianwei12@huawei.com> - 0.18-1
- upgrade version to 0.18

* Wed Dec 29 2021 shixuantong <shixuantong@huawei.com> - 0.16-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:provide pythonXdist(docutils)

* Mon Nov 2 2020 wangjie<wangjie294@huawei.com> -0.16-5
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Thu Sep 10 2020 wangxiao <wangxiao65@huawei.com> - 0.16-4
- fix rst2odt_prepstyles error

* Mon Aug 3 2020 wutao <wutao61@huawei.com> - 0.16-3
- fix test error problem

* Wed Jul 29 2020 dingyue <dingyue5@huawei.com> - 0.16-2
- Fix 0.16-1 for error

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 0.16-1
- NA

* Wed Jun 24 2020 wangyue <wangyue92@huawei.com> - 0.14-8
- Fix python3.8 complied failed

* Fri Jan 10 2020 qinjian <qinjian18@huawei.com> - 0.14-7
- Update Source0

* Tue Dec 10 2019 mengxian <mengxian@huawei.com> - 0.14-6
- Package init
